#ifndef eGizmo_SerialLCD_h
#define eGizmo_SerialLCD_h

#include <Arduino.h>
#include <SoftwareSerial.h>

#define STX 0x02
#define ETX 0x03

//Commands
#define INIT	"F"
#define CLEAR	"c"
#define WL1	"1"
#define WL2	"2"
#define WL3	"3"
#define WL4	"4"
#define OL1	"5"
#define OL2	"6"
#define OL3	"7"
#define OL4	"8"
#define CURPOS	">"
#define SCROLL1	"m"
#define SCROLL2	"M"
#define TEST	"T"
#define WRITEHIGH	"S"
#define WRITELOW	"R"
#define PINREAD	"I"
#define SETOUT	"o"
#define SETIN	"i"

/* this is just here for reference
#define INPUT             0x00
#define INPUT_PULLUP      0x02

#define HIGH 0x1
#define LOW  0x0
*/

class eGizmo_SerialLCD {
	public:
		eGizmo_SerialLCD(SoftwareSerial *ss, int lines = 2, int pos = 16);
		eGizmo_SerialLCD(HardwareSerial *hs, int lines = 2, int pos = 16);

		bool begin(void);
		void end(void);

		bool clear(void);
		bool scroll(int address, String message);
		bool print(String message, int line = 1, int pos = 0);
		bool printOver(String message, int line = 1, int pos = 0);
		bool pinMode(int pinNum, uint8_t modal);
		bool digitalWrite(int pinNum, uint8_t val);
		uint8_t digitalRead(int pinNum);

	private:
		Stream *mySerial;

		HardwareSerial *hwSerial;
		SoftwareSerial *swSerial;
		
		int lineHold;
		int posHold;

		void cmdWrite(String cmd);
		String replyReceiver(int timer = 500);
};
#endif