/*

 Temperature Display Sketch

 On this sample, we will use LM35 Temperature
 Sensor to get the output value in Degree
 Celcius to display it on the Serial LCD II.
 Using gizDuino LIN-UNO (Arduino UNO).

 Codes by
 e-Gizmo Mechatronix Central
 http://www.e-gizmo.net
 October 24,2018 

*/

// Add the Serial LCD Library
#include <eGizmo_SerialLCD.h>

//For Arduino UNO or Gizduino V users
/*
  SoftwareSerial mySerial(2,3);
  eGizmo_SerialLCD mainDisplay(&myserial);
*/

//For MEGA, X, and Plus users
eGizmo_SerialLCD mainDisplay(&Serial, 4, 20); //Set to 4x20 LCD

//the setting up of pins

int TempPin = 0;

void setup(){
  //Initialize
  mainDisplay.begin();

  //mainDisplay.print(message, row, column);
  //note: you can place your message/row/column in any positions

}

void loop() {
  

  float Temp = analogRead(TempPin); //read the analogpin
  Temp = (Temp * 0.488); //multiply by 0.488 for calibration and exact value of temperature.
  mainDisplay.print( "Temperature",2,6); 
  mainDisplay.print(String(Temp),3,9);  //Display the temperature value on the LCD screen, use String() to display the value
 
  delay(1000);  // 1 second delay.
}